Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::iota_fn Struct Reference

## Public Member Functions
template<typename O , typename S , typename T , requires = (OutputIterator<O, T const &>() && Sentinel<S, O>() && WeaklyIncrementable<T>())>
O | operator() (O begin, S end, T val) const
template<typename Rng , typename T , requires = (OutputRange<Rng, T const &>() && WeaklyIncrementable<T>())>
safe_iterator_t< Rng > | operator() (Rng &&rng, T val) const